﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AddAPopup.aspx.cs"
    Inherits="CSSamples.AddAPopup" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Add a Popup</title>
    <style type="text/css">
        .title
        {
            font-size: 12px;
            font-weight: bolder;
            line-height: 25px;
        }
    </style>
    <script language="javascript" type="text/javascript">
        var Map;
        function OnMapCreated(map) {
            Map = map;
            if (map.popups.length > 0) {
                var i = 0;
                for (i = 0; i < map.popups.length; i++) {
                    OpenLayers.Event.stopObservingElement(map.popups[i].closeDiv, "click", OpenLayers.Function.bindAsEventListener(function () { this.hide(); }, map.popups[i]));
                    OpenLayers.Event.observe(map.popups[i].closeDiv, "click", OpenLayers.Function.bindAsEventListener(closeCallBack, map.popups[i]));
                    OpenLayers.Event.observe(map.popups[i].closeDiv, "touchend", OpenLayers.Function.bindAsEventListener(closeCallBack, map.popups[i]));
                }
            }

            var hidden = document.getElementById("MainContent_HiddenOverlaySwitcherMinimizedState");
            var value = hidden.value; //parseInt(hidden.value) - 2;
            if (value % 2 == 0) {
                var layerSwither = map.getControl("LayerSwitcher");
                if (layerSwither) {
                    layerSwither.minimizeControl();
                }
                hidden.value = 1;
            }
            else {
                hidden.value = 0;
            }
        }

        function closeCallBack() {
            var item_index;
            for (item_index = 0; item_index < Map.popups.length; item_index++) {
                Map.popups[item_index].hide();
            }

            __doPostBack('<!--pdatePanelExceptionsGridView.ClientID-->', "PopupClosed");

            this.hide();
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:DataGrid runat="server" ID="GridViewData" OnLoad="UpdatePanelExceptionsGridView_Load"></asp:DataGrid>

        <asp:ScriptManager ID="Map1_Script" runat="server">
        </asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <cc1:Map ID="Map1" runat="server" Width="800px" Height="600px">
                </cc1:Map>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="btnAddPopup" EventName="Click" />
            </Triggers>
        </asp:UpdatePanel>
        <asp:Button ID="btnAddPopup" runat="server" Text="Add a Popup" OnClick="showPopup_Click" />
        <input type="text" value="1" id="MainContent_HiddenOverlaySwitcherMinimizedState" readonly="readonly" />
    </form>
</body>
</html>